//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/BurrBrownOpAmps.h,v $
// $Id: BurrBrownOpAmps.h,v 1.3 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_BURRBROWN_OPAMPS_H	// prevent multiple includes
#define ETECH_BURRBROWN_OPAMPS_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/OpAmp.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

// --- real operational amplifiers (subclasses of OpAmp) -----------------


/// represents the Sound-Plus operational amplifier OPA134
/**
 {\tt OPA134} represents the Sound-Plus operational amplifier OPA134 made
 by Burr-Brown, which can be used both in DC (direct current) and in AC 
 (alternate current) applications.
 */
class OPA134: public OpAmp
{
  public:
    /// default constructor
    OPA134();
};



/// represents the audio operational amplifier OPA604
/**
 {\tt OPA604} represents the audio operational amplifier OPA604 made by
 Burr-Brown, which can be used both in DC (direct current) and in AC 
 (alternate current) applications.
 */
class OPA604: public OpAmp
{
  public:
    /// default constructor
    OPA604();
};


END_NAMESPACE

#endif // ETECH_BURRBROWN_OPAMPS_H
