//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/Divider.h,v $
// $Id: Divider.h,v 1.3 2002/12/23 01:34:28 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_DIVIDER_H	// prevent multiple includes
#define ETECH_DIVIDER_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/Impedance.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

/// represents a voltage divider
/**
 {\tt Divider} represents a voltage divider existing of two impedances.
 */
class Divider
{
  private:
    Impedance Z1;
    Impedance Z2;

  public:
    /// constructor
    Divider(const Impedance& z1, const Impedance& z2) 
	: Z1(z1), Z2(z2) {}
    /// copy constructor
    Divider(const Divider& d) 
	: Z1(d.Z1), Z2(d.Z2) {}

    /// get attenuation
    Cplx getAtt() { return (Z2 / (Z1 + Z2)); }

    /// get input impedance
    Impedance getZin() { return (Z1 + Z2); }
}; // class Divider


END_NAMESPACE

#endif // ETECH_DIVIDER_H


