//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/include/AH/Etech/MiscOpAmps.h,v $
// $Id: MiscOpAmps.h,v 1.4 2001/10/05 23:44:27 ah Exp $
//
//---------------------------------------------------------------------------

#ifndef ETECH_MISC_OPAMPS_H	// prevent multiple includes
#define ETECH_MISC_OPAMPS_H

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/OpAmp.h>

USING_NAMESPACE(Ah)

// --- types and classes ---

BEGIN_NAMESPACE(Ah)

// --- real operational amplifiers (subclasses of OpAmp) -----------------


/// represents the audio operational amplifier LM833
/**
 {\tt LM833} represents the audio operational amplifier LM833 which can be 
 used both in DC (direct current) and in AC (alternate current) applications.
 */
class LM833: public OpAmp
{
  public:
    /// default constructor
    LM833();
};



/// represents the audio operational amplifier NE5532
/**
 {\tt NE5532} represents the audio operational amplifier NE5532 which can be 
 used both in DC (direct current) and in AC (alternate current) applications.
 */
class NE5532: public OpAmp
{
  public:
    /// default constructor
    NE5532();
};



/// represents the industry standard precision operational amplifier OP07
/**
 {\tt OP07} represents the industry standard precision operational amplifier 
 OP07 which can be used both in DC (direct current) and in AC (alternate 
 current) applications.
 */
class OP07: public OpAmp
{
  public:
    /// default constructor
    OP07();
};



/// represents the fast industry standard precision operational amplifier OP27
/**
 {\tt OP27} represents the fast industry standard precision operational 
 amplifier OP27 which can be used both in DC (direct current) and in AC 
 (alternate current) applications.
 */
class OP27: public OpAmp
{
  public:
    /// default constructor
    OP27();
};



/// represents the very fast industry standard precision operational amplifier OP37
/**
 {\tt OP37} represents the very fast industry standard precision operational 
 amplifier OP37 which can be used both in DC (direct current) and in AC 
 (alternate current) applications.
 */
class OP37: public OpAmp
{
  public:
    /// default constructor
    OP37();
};



/// represents the industry standard high precision operational amplifier OP77
/**
 {\tt OP77} represents the industry standard high precision operational 
 amplifier OP77 which can be used both in DC (direct current) and in AC 
 (alternate current) applications.
 */
class OP77: public OpAmp
{
  public:
    /// default constructor
    OP77();
};



/// represents the industry standard high precision operational amplifier OP177
/**
 {\tt OP177} represents the industry standard high precision operational 
 amplifier OP177 which can be used both in DC (direct current) and in AC 
 (alternate current) applications.
 */
class OP177: public OpAmp
{
  public:
    /// default constructor
    OP177();
};


END_NAMESPACE

#endif // ETECH_MISC_OPAMPS_H
