//---------------------------------------------------------------------------
// Copyright 1997 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/PickUp.c,v $
// $Id: PickUp.c,v 1.1 2002/12/23 01:35:08 ah Exp $
//
// Description: implementation of class PickUp
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: PickUp.c,v 1.1 2002/12/23 01:35:08 ah Exp $ (c) 1997 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>
#include <AH/Etech/PickUp.h>
#include <AH/Etech/Resistor.h>
#include <AH/Etech/Capacitor.h>
#include <AH/Etech/Divider.h>

// --- local stuff ---

// --- class member implementation ---


// default constructor
PickUp::PickUp()
    : Rmm(0), Lmm(0), Cmm(0), Name("Idealer TA")
{
}



// simple constructor
PickUp::PickUp(const char* name, Dbl r, Dbl l, Dbl c)
    : Rmm(r), Lmm(l), Cmm(c), Name(name)
{
}



// copy constructor
PickUp::PickUp(const PickUp& pu)
    : Rmm(pu.Rmm), Lmm(pu.Lmm), Cmm(pu.Cmm), Name(pu.Name)
{
}



// destructor
PickUp::~PickUp() 
{
}



// get attenuation at frequency {\tt f} for load impedanze {\tt z}
Cplx PickUp::getAtt(Dbl f, const Impedance& z)
{
    Impedance z1 = Rmm + Lmm(f);
    Impedance z2 = Cmm(f) || z;
    Divider d(z1, z2);
    return d.getAtt();
}


// --- overloaded operators ---

// assign operator
const PickUp& PickUp::operator = (const PickUp& pu)
{
    if (&pu != this)
    {
	Rmm = pu.Rmm;
	Lmm = pu.Lmm;
	Cmm = pu.Cmm;
	Name = pu.Name;
    }
    return *this;
}

