//---------------------------------------------------------------------------
// Copyright 1998 Andreas Huennebeck
//
// $Source: /home/ah/CvsTree/daten/src/libAHetech/SpeakerCreator.c,v $
// $Id: SpeakerCreator.c,v 1.4 2004/04/20 22:14:57 ah Exp $
//
// Description: implementation of class SpeakerCreator
//
//---------------------------------------------------------------------------

static const char rcsid[] = "$Id: SpeakerCreator.c,v 1.4 2004/04/20 22:14:57 ah Exp $ (c) 1998 Andreas Huennebeck";

// --- necessary includes ---

#include <AH/Config/Platform.h>

#include <string.h>

#include <AH/Etech/SpeakerCreator.h>
#include <AH/Etech/KefSpeakers.h>
#include <AH/Etech/MonacorSpeakers.h>
#include <AH/Etech/VisatonSpeakers.h>

// --- local stuff ---

// --- class member implementation ---


Speaker* SpeakerCreator::create
(
    const char* company, 
    const char* model
) const
{
   if (!company || !model) return 0;

   if (0 == strcmp(company, "Kef"))
   {
	if (0 == strcmp(model, "B110-A")) return new Kef_B110_A();
	if (0 == strcmp(model, "B110-B")) return new Kef_B110_B();
	if (0 == strcmp(model, "B200-A")) return new Kef_B200_A();
	if (0 == strcmp(model, "B200-B")) return new Kef_B200_B();
	if (0 == strcmp(model, "B139-B")) return new Kef_B139_B();
	if (0 == strcmp(model, "B300-B")) return new Kef_B300_B();
   }
   else if (0 == strcmp(company, "Monacor"))
   {
	if (0 == strcmp(model, "SP-45/4")) return new Monacor_SP45_4();
	if (0 == strcmp(model, "SP-45/8")) return new Monacor_SP45_8();
	if (0 == strcmp(model, "SP-60/4")) return new Monacor_SP60_4();
	if (0 == strcmp(model, "SP-60/8")) return new Monacor_SP60_8();
	if (0 == strcmp(model, "SPP-110/4")) return new Monacor_SPP110_4();
	if (0 == strcmp(model, "SPP-110/8")) return new Monacor_SPP110_8();
   }
   else if (0 == strcmp(company, "Visaton"))
   {
	if (0 == strcmp(model, "SC-10")) return new Visaton_SC_10();
   }
   return 0;	// speaker not found

} // SpeakerCreator::create()
